Update Product Collections

Updates a collection of products (All products). This endpoint ALWAYS overwrite all of product's categories.
The body request is an array, so you can update more than one collection at the same query.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Take notice!

This request updates all values already set. Pay attention and don't have anything lost!

Request body example

[
    {
    "id":"98D6DCC3-2029-4651-8064-16B00FD135A8",  
    "name":"Teste Product Tag",
    "url":"https://twitter.com/gatinho_fofo3",
    "imageUrl":"https://twitter.com/gatinho_fofo3",
    "hexColor":"#ffffff",
    "hexTextColor":"#000000",
    "isDeleted": 0
    }
]

Fields Description

FieldTypeDescription
idGuidProduct Id
nameIntThe product name
urlStringThe product address
imageUrlStringThe product image address
hexColorStringProduct color defined
hexTextColorStringProduct text color defined
isDeletedBooleanIf the product is deleted or not.

📘

Result

A 204- No Content result means that the stock was successfully updated.

Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
string
required

Product ID (Guid)

Body Params
RAW_BODY
array of objects
required

An array with the product collections body to be updated.

RAW_BODY*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json